liborigin 2.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
Origin::Figure Struct Reference

`#include <OriginObj.h>`

## Public Types
enum | FigureType { Rectangle , Circle }

## Public Member Functions
| Figure (FigureType _type=Rectangle)

## Public Attributes
Attach | attach
Rect | clientRect
Color | color
Color | fillAreaColor
unsigned char | fillAreaPattern
Color | fillAreaPatternColor
double | fillAreaPatternWidth
unsigned char | style
FigureType | type
bool | useBorderColor
double | width

## Member Enumeration Documentation

## ◆ FigureType

enum Origin::Figure::FigureType

Enumerator
Rectangle |
Circle |

## Constructor & Destructor Documentation

## ◆ Figure()

Origin::Figure::Figure | ( | FigureType | _type = `Rectangle` | ) |
| inline

## Member Data Documentation

## ◆ attach

Attach Origin::Figure::attach

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ clientRect

Rect Origin::Figure::clientRect

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ color

Color Origin::Figure::color

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ fillAreaColor

Color Origin::Figure::fillAreaColor

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ fillAreaPattern

unsigned char Origin::Figure::fillAreaPattern

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ fillAreaPatternColor

Color Origin::Figure::fillAreaPatternColor

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ fillAreaPatternWidth

double Origin::Figure::fillAreaPatternWidth

Referenced by Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ style

unsigned char Origin::Figure::style

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ type

FigureType Origin::Figure::type

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ useBorderColor

bool Origin::Figure::useBorderColor

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ width

double Origin::Figure::width

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h